libzypp: zypp::ResolverProblem::Impl Class Reference

libzypp 17.38.14

zypp::ResolverProblem::Impl Class Reference

ResolverProblem implementation. More...

## Public Member Functions
| Impl ()
| Impl (std::string &&description)
| Impl (std::string &&description, std::string &&details)
| Impl (std::string &&description, std::string &&details, std::vector< std::string > &&completeProblemInfo)

## Public Attributes
std::string | _description
std::string | _details
ProblemSolutionList | _solutions
std::vector< std::string > | _completeProblemInfo

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

ResolverProblem implementation.

Definition at line 59 of file ResolverProblem.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/4]

zypp::ResolverProblem::Impl::Impl | ( |  | ) |
| inline

Definition at line 61 of file ResolverProblem.cc.

## ◆ Impl() [2/4]

zypp::ResolverProblem::Impl::Impl | ( | std::string && | description | ) |
| inline

Definition at line 64 of file ResolverProblem.cc.

## ◆ Impl() [3/4]

zypp::ResolverProblem::Impl::Impl | ( | std::string && | description,
|  | std::string && | details )
| inline

Definition at line 68 of file ResolverProblem.cc.

## ◆ Impl() [4/4]

zypp::ResolverProblem::Impl::Impl | ( | std::string && | description,
|  | std::string && | details,
|  | std::vector< std::string > && | completeProblemInfo )
| inline

Definition at line 73 of file ResolverProblem.cc.

## Member Function Documentation

## ◆ clone()

Impl * zypp::ResolverProblem::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 87 of file ResolverProblem.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _description

std::string zypp::ResolverProblem::Impl::_description

Definition at line 79 of file ResolverProblem.cc.

## ◆ _details

std::string zypp::ResolverProblem::Impl::_details

Definition at line 80 of file ResolverProblem.cc.

## ◆ _solutions

ProblemSolutionList zypp::ResolverProblem::Impl::_solutions

Definition at line 81 of file ResolverProblem.cc.

## ◆ _completeProblemInfo

std::vector<std::string> zypp::ResolverProblem::Impl::_completeProblemInfo

Definition at line 82 of file ResolverProblem.cc.

The documentation for this class was generated from the following file:

- zypp/ResolverProblem.cc